<div class="container kd-dialog-default">
  <h1 mat-dialog-title>{{ data.title }}</h1>
  <h3>{{ data.subtitle }}</h3>

  <mat-dialog-content style="height: 90%; max-height: 100%!important;">
    <div *ngIf="authService.isLoggedOwner(); else isLoggedUser">
      <form novalidate
            #ownerForm
            [formGroup]="editUserByOwnerForm"
            (ngSubmit)="onEditUserByOwner()">

        <h3>Personal data</h3>
        <mat-divider></mat-divider>
        <div style="padding-top: 15px;"></div>

        <div class="row">
          <div class="col-md-6">
            <label for="firstname" class="form-check-label">Firstname</label>
            <input name="firstname" formControlName="firstname" type="text"
                  class="form-control kd-form-input">
          </div>
          <div class="col-md-6">
            <label for="lastname" class="form-check-label">Lastname</label>
            <input name="lastname" formControlName="lastname" type="text"
                  class="form-control kd-form-input">
          </div>
        </div>
        <div class="kd-div-top-spacer"></div>

        <div class="row">
          <div class="col-md-6">
            <label for="birthDate" class="form-check-label">Birth date</label>
            <input name="birthDate" formControlName="birthDate" type="text"
                  class="form-control kd-form-input">
          </div>
          <div class="col-md-6">
            <label for="address" class="form-check-label">Address</label>
            <input name="address" formControlName="address" type="text"
                  class="form-control kd-form-input">
          </div>
        </div>
        <div class="kd-div-top-spacer"></div>

        <div class="row">
          <div class="col-md-6">
            <label for="phone" class="form-check-label">Phone</label>
            <input name="phone" formControlName="phone" type="text"
                  class="form-control kd-form-input">
            <mat-error *ngIf="phoneByOwner.dirty && phoneByOwner.errors?.pattern" class="kd-error">
              Cannot update phone number (incorrect format)
            </mat-error>
          </div>
          <div class="col-md-6">
            <label for="cv" class="form-check-label">CV link</label>
            <input name="cv" formControlName="cv" type="text"
                  class="form-control kd-form-input">
          </div>
        </div>
        <div class="kd-div-top-spacer"></div>
        <div style="padding-top: 10px;"></div>

        <h3>Business data</h3>
        <mat-divider></mat-divider>
        <div style="padding-top: 15px;"></div>

        <div class="row">
          <div class="col-md-6">
            <label for="nDayOff" class="form-check-label">Days off</label>
            <input name="nDayOff" formControlName="nDayOff" type="text"
                    class="form-control kd-form-input">
            <mat-error *ngIf="nDayOff.dirty && nDayOff.errors?.pattern">
              Input must be number
            </mat-error>
          </div>
          <div class="col-md-6">
            <label for="maxDayOff" class="form-check-label">Maximum days off</label>
            <input name="maxDayOff" formControlName="maxDayOff" type="text"
                    class="form-control kd-form-input">
            <mat-error *ngIf="maxDayOff.dirty && maxDayOff.errors?.pattern">
              Input must be number
            </mat-error>
          </div>
        </div>

        <div class="row">
          <div class="col-md-6">
            <label for="nSickDays" class="form-check-label">Sick days</label>
            <input name="nSickDays" formControlName="nSickDays" type="text"
                    class="form-control kd-form-input">
            <mat-error *ngIf="nSickDays.dirty && nSickDays.errors?.pattern">
              Input must be number
            </mat-error>
          </div>
          <div class="col-md-6">
            <label for="maxSickDays" class="form-check-label">Maximum sick days</label>
            <input name="maxSickDays" formControlName="maxSickDays" type="text"
                    class="form-control kd-form-input">
            <mat-error *ngIf="maxSickDays.dirty && maxSickDays.errors?.pattern">
              Input must be number
            </mat-error>
          </div>
        </div>
        <div class="kd-div-top-spacer"></div>

        <div style="padding-top: 10px;"></div>
        <div style="float:right;margin:20px;">
          <button style="margin:0px 10px;"
                  type="submit"
                  class="btn btn-primary kd-btn-primary"
                  [ngClass]="submitByOwnerHoverClass()"
                  [disabled]="editUserByOwnerForm.invalid">
                  Edit
          </button>
          <button type="reset"
                  class="btn btn-danger kd-btn-danger"
                  (click)="onResetOwnerForm()">
                  Cancel
          </button>
        </div>
      </form>
    </div>

    <ng-template #isLoggedUser>
      <form novalidate
            #editForm
            [formGroup]="editUserByUserForm"
            (ngSubmit)="onEditUserByUser()">

        <div class="row">
          <div class="col-md-6">
            <label for="firstname" class="form-check-label">Firstname</label>
            <input name="firstname" formControlName="firstname" type="text"
                  class="form-control kd-form-input">
          </div>
          <div class="col-md-6">
            <label for="lastname" class="form-check-label">Lastname</label>
            <input name="lastname" formControlName="lastname" type="text"
                  class="form-control kd-form-input">
          </div>
        </div>
        <div class="kd-div-top-spacer"></div>

        <div class="row">
          <div class="col-md-6">
            <label for="birthDate" class="form-check-label">Birth date</label>
            <input name="birthDate" formControlName="birthDate" type="text"
                  class="form-control kd-form-input">
          </div>
          <div class="col-md-6">
            <label for="address" class="form-check-label">Address</label>
            <input name="address" formControlName="address" type="text"
                  class="form-control kd-form-input">
          </div>
        </div>
        <div class="kd-div-top-spacer"></div>

        <div class="row">
          <div class="col-md-6">
            <label for="phone" class="form-check-label">Phone</label>
            <input name="phone" formControlName="phone" type="text"
                  class="form-control kd-form-input">
            <mat-error *ngIf="phoneByUser.dirty && phoneByUser.errors?.pattern" class="kd-error">
              Cannot update phone number (incorrect format)
            </mat-error>
          </div>
          <div class="col-md-6">
            <label for="cv" class="form-check-label">CV link</label>
            <input name="cv" formControlName="cv" type="text"
                  class="form-control kd-form-input">
          </div>
        </div>
        <div class="kd-div-top-spacer"></div>

        <div style="padding-top: 10px;"></div>
        <div style="float:right;margin:20px;">
          <button style="margin:0px 10px;"
                  type="submit"
                  class="btn btn-primary kd-btn-primary"
                  [ngClass]="submitByUserHoverClass()"
                  [disabled]="editUserByUserForm.invalid">
                  Edit
          </button>
          <button type="reset"
                  class="btn btn-danger kd-btn-danger"
                  (click)="onResetUserForm()">
                  Cancel
          </button>
        </div>
      </form>
    </ng-template>
  </mat-dialog-content>
</div>
